Skip to content

getDefaultAttachmentsForPO

READ

Get default attachments for p o.

POST /api/v1/purchasing/getDefaultAttachmentsForPO
curl -X POST '<your-host>/api/v1/purchasing/getDefaultAttachmentsForPO' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "supplierId": "string",
    "itemIds": []
  }'
Response
{
  "results": [
    {
      "source": "company",
      "name": "string",
      "size": 0,
      "path": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "supplierId": {
      "type": [
        "string",
        "null"
      ]
    },
    "itemIds": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "supplierId",
    "itemIds"
  ]
}